# Create a summary statement run Allows you to initiate the generation of a summary statement run. You can specify parameters such as the run type (AdHoc or scheduled) and the target account categories (single or multiple accounts). Endpoint: POST /v1/summary-statement-runs Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `runType` (string, required) The scheduled type of the run which can either be AdHoc or Scheduled. Currently, only AdHoc is supported. Enum: "AdHoc" - `targetAccountCategory` (string, required) Specifies the type of account filter. If the filter type is set to AllAccounts, AccountsWithOpenInvoices, AccountsWithOpenBalances, AccountsWithoutInvoices, or AccountsWithoutInvoicesAndOpenBalances, you can further refine the filter using batchName and billCycleDay. However, these criteria are not applicable when the filter type is SingleAccount. Enum: "SingleAccount", "AllAccounts", "AccountsWithOpenInvoices", "AccountsWithOpenBalances", "AccountsWithoutInvoices", "AccountsWithoutInvoicesAndOpenBalances" - `accountKey` (string,null) The related account ID or account number when the filter type is SingleAccount. - `batchName` (string) The batch name used for filtering accounts, for example, Batch1. - `billCycleDay` (string,null) The bill cycle day for filtering accounts, with values ranging from '01' to '31'. - `dateRangeType` (string, required) The date range for the statement. If PreviousThreeCalendarMonth or PreviousOneCalendarMonth is selected, the start and end dates are automatically calculated. For example, if PreviousThreeCalendarMonth is chosen today (2024-08-20), the dates would be 2024-05-01 to 2024-07-31. Enum: "Custom", "PreviousThreeCalendarMonth", "PreviousOneCalendarMonth" - `startDate` (string) Required when Custom is selected for the date range. The start date can be set to a maximum of 5 years in the past and must follow the format YYYY-MM-DD. - `endDate` (string) When creating a statement run, this field cannot be manually entered. If Custom is selected, the end date automatically defaults to today’s date in the tenant’s timezone. - `autoEmailEnabled` (boolean) Indicates whether to send an email after a statement is generated. Acceptable values are true or false. If unspecified, the default value is false. - `description` (string) A text description of the statement run. ## Response 200 fields (application/json): - `id` (string) The unique identifier for the statement run. - `statementRunNumber` (string) The number of the statement run. - `runType` (string) The scheduled type of the run which can either be AdHoc or Scheduled. Currently, only AdHoc is supported. Enum: "AdHoc" - `targetAccountCategory` (string) Specifies the type of account filter. If the filter type is set to AllAccounts, AccountsWithOpenInvoices, AccountsWithOpenBalances, AccountsWithoutInvoices, or AccountsWithoutInvoicesAndOpenBalances, you can further refine the filter using batchName and billCycleDay. However, these criteria are not applicable when the filter type is SingleAccount. Enum: "SingleAccount", "AllAccounts", "AccountsWithOpenInvoices", "AccountsWithOpenBalances", "AccountsWithoutInvoices", "AccountsWithoutInvoicesAndOpenBalances" - `accountKey` (string,null) When the filter type is SingleAccount, this field contains the related account ID. - `batchName` (string) The name of the batch used for filtering accounts. - `billCycleDay` (string,null) The bill cycle day for filtering accounts, with values ranging from '01' to '31'. - `dateRangeType` (string) The date range for the statement. Enum: "PreviousThreeCalendarMonth", "PreviousOneCalendarMonth", "PreviousOneCalendarMonth" - `startDate` (string) The start date. - `endDate` (string) The end date, which defaults to today’s date when Custom is selected. This field cannot be manually entered. - `autoEmailEnabled` (boolean) Indicates whether to send an email after a statement is generated. - `description` (string) A text description of the statement run. - `status` (string) The status of the run. Enum: "Pending", "Processing", "Completed", "Error", "Terminated" - `createdById` (string) The ID of the user who created the statement run. - `createdDate` (string) The date and time the statement run was created. - `success` (boolean) Indicates whether the operation was successful. - `updatedById` (string) The ID of the user who last updated the statement run. - `updatedDate` (string) The date the statement run was last updated. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.